Subject: Re: Resource (.rc) Files
From: [email-masked] (root)

12 Jul 1997 13:38:28 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Content-Type: text
Original-To: [email-masked] (Eric Britten)
Original-Cc: [email-masked]
In-Reply-To: <[email-masked]> from "Eric Britten" at Jul 10, 97 08:38:57 pm
Original-Sender: [email-masked]

> 
> [email-masked] wrote:
> 
> >      Hi,
> >
> >      I am attempting to port a Microsoft C program to GNU C.  All the
> > menu
> >      setup data is in a resource (.rc) file, which gcc can't compile,
> > and
> >      the linker can't deal with the .res file produced by Visual C
> >      (unrecognized file format). Is there some (relatively) painless
> > way to
> >      convert this to a C file, or is there an equivalent to a resource
> >
> >      compiler in the GNU-WIN32 suite?  
> What you need is a program to convert .res resource object files to
> something that ld can use to link into your program.  There is one such
> programs availible from
> http://www.geocities.com/Tokyo/Towers/6162/gcc.html which is the
> 'Minimalist GNU Win32' site.  Click the 'Extra Utilities' link.  The
> program is res2coff.
> 
> Hope this helps,
> 
> Eric Britten
> 

I am the author of res2coff. If any bugs arise just let me know. What I do
not understand is that my program is not distributed with the gcc package. 
I signed a document granting Cygnus all distribution rights for an unlimited
time. This program took me almost a month of hard work to develop, and it is
a pity that is not included!

> -
> For help on using this list (especially unsubscribing), send a message to
> "[email-masked]" with one line of text: "help".
> 

-- 
Jacob Navia	Logiciels/Informatique
41 rue Maurice Ravel			Tel 01 48.23.51.44
93430 Villetaneuse 			Fax 01 48.23.95.39
France
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".